#include "Structures.h"

#ifndef DATE_H
#define DATE_H

class Date
{
public:

   Date();

   virtual void Update(int, int, int);
   virtual void SetDay(int);
   virtual void SetMonth(int);
   virtual void SetYear(int);
   virtual int GetDay() const;
   virtual int GetMonth() const;
   virtual int GetYear() const;
   virtual void Refresh();
   virtual void Version(SVersion *);
   virtual ~Date();

private:
   int day;
   int month;
   int year;
   int CheckDay(int);
};

#endif // DATE_H

